Subject: Re: pthread_rwlock
From: Robert Collins <[email-masked]>
To: Tim Gong <[email-masked]>
Cc: [email-masked]
Date: 22 Aug 2001 18:04:32 +1000

On 18 Aug 2001 16:58:15 -0500, Tim Gong wrote:
> I'm porting a Unix application that uses pthread_rwlock and sigwait routines
> extensively.
> It seems that they are not supported in the latest cygwin release. Can
> anyone provide
> some advice in that regard?

Yes, they are not implemented.

> I've considered pthread_win32 library, but the problem is that libary only
> works with mingw,
> but not with cygwin.

It should work with cygwin, but I don't recommend it, because you *may*
get weird behaviour.

> It would be hard for me to switch to mingw, because
> that toolkit doesn't
> have a unix socket emulation layer, and I'm not that familiar with winsock.
> 
> Thanks for your help.
> 
> Tim Gong
> 

Rob

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/